import {
  Table,
  Column,
  Model,
  DataType,
  ForeignKey,
  BelongsTo,
} from 'sequelize-typescript';
import { User } from 'src/modules/users/entities/user.entity';
import { TransactionOperations } from './transaction-operation.entity';

@Table({ tableName: 'wallets_transactions', updatedAt: false })
export class WalletsTransactions extends Model<WalletsTransactions> {
  @Column({
    type: DataType.FLOAT,
    allowNull: false,
    defaultValue: 0,
  })
  byAmount: number;

  @ForeignKey(() => User)
  @Column
  userId: number;

  @BelongsTo(() => User)
  user: User;

  @ForeignKey(() => TransactionOperations)
  @Column
  operation: number;

  @BelongsTo(() => TransactionOperations)
  transactionOperations: TransactionOperations;
}
